Subject: bug#53997: closed (Re: [PATCH v7 00/24] Update Racket to 8.4. Adjust Chez Scheme packages.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Mar 2022 23:00:02 +0000

Your bug report

#53878: [PATCH] gnu: racket: Update to 8.4.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53878: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53878
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v7 00/24] Update Racket to 8.4. Adjust Chez Scheme packages.
From: Liliana Marie Prikler <[email-masked]>
To: Philip McGrath <[email-masked]>, [email-masked], zimoun <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, Maxime Devos <[email-masked]>, raingloom <[email-masked]>, Liliana Marie Prikler <[email-masked]>, Attila Lendvai <[email-masked]>, Malte Gerdes <[email-masked]>
Date: Fri, 04 Mar 2022 23:59:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Philip,

Am Sonntag, dem 27.02.2022 um 16:28 -0500 schrieb Philip McGrath:
> Hi,
> 
> On Sunday, February 27, 2022 3:42:46 AM EST Liliana Marie Prikler
> wrote:
> > 
> > Perhaps I wasn't clear enough about this in v5, but I think spec
> > should
> > be a single argument rather than multiple ones.  This way, if we do
> > find that we need to extend it to support an additional argument,
> > we
> > don't have to awkwardly code around the #:rest.
> > 
> 
> Rather than debate it, I'm sending a v7 with the change to patch
> 03/24 that Liliana requested in
> <https://issues.guix.gnu.org/53878#187>.
Sorry for the delay.  I cleaned up some of your commits and their
messages, but apart from that pushed v7 without major changes.  I'm
marking this as done now; if you feel I've made a mistake somewhere,
don't hesitate to reopen.

Cheers  

Subject: [PATCH] gnu: racket: Update to 8.4.
From: Attila Lendvai <[email-masked]>
To: [email-masked]
Cc: Attila Lendvai <[email-masked]>
Date: Mon, 14 Feb 2022 17:13:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Original work done by rp1, aka rparsons, as posted on IRC:
https://logs.guix.gnu.org/guix/2022-02-14.log#085815
---

only tested to build fine on amd64.

feel free to rewrite anything in the commit message, or anywhere else.

 gnu/packages/racket.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/racket.scm b/gnu/packages/racket.scm
index d0a5ca494b..13338dde69 100644
--- a/gnu/packages/racket.scm
+++ b/gnu/packages/racket.scm
@@ -129,7 +129,7 @@ (define src
 (define-public racket-minimal
   (package
     (name "racket-minimal")
-    (version "8.3")            ; note: remember to also update racket!
+    (version "8.4")
     (source
      (origin
        (method git-fetch)
@@ -137,7 +137,7 @@ (define-public racket-minimal
              (url "https://github.com/racket/racket")
              (commit (string-append "v" version))))
        (sha256
-        "1i1jnv1wb0kanfg47hniafx2vhwjc33qqx66lq7wkf5hbmgsyws3")
+	"1vpl66gdgc8rnldmn8rmb7ar9l057jqjvgpfn29k57i3c5skr8s6")
        (file-name (git-file-name name version))
        (patches (search-patches "racket-minimal-sh-via-rktio.patch"))
        (modules '((guix build utils)))
-- 
2.34.0